import request from '@/utils/request'

// 查询电子围栏列表
export function listElectronicFence(query) {
  return request({
    url: '/business/electronicFence/list',
    method: 'get',
    params: query
  })
}

// 查询电子围栏详细
export function getElectronicFence(electronicFenceId) {
  return request({
    url: '/business/electronicFence/' + electronicFenceId,
    method: 'get'
  })
}

// 新增电子围栏
export function addElectronicFence(data) {
  return request({
    url: '/business/electronicFence',
    method: 'post',
    data: data
  })
}

// 修改电子围栏
export function updateElectronicFence(data) {
  return request({
    url: '/business/electronicFence',
    method: 'put',
    data: data
  })
}

// 删除电子围栏
export function delElectronicFence(electronicFenceId) {
  return request({
    url: '/business/electronicFence/' + electronicFenceId,
    method: 'delete'
  })
}
